Trigger bot execution
curl --request POST \
--url https://www.lilbots.io/api/webhooks/{triggerId}/trigger \
--header 'Content-Type: application/json' \
--header 'X-Key: <api-key>' \
--data '
{
"INPUT": "VALUE"
}
'import requests
url = "https://www.lilbots.io/api/webhooks/{triggerId}/trigger"
payload = { "INPUT": "VALUE" }
headers = {
"X-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({INPUT: 'VALUE'})
};
fetch('https://www.lilbots.io/api/webhooks/{triggerId}/trigger', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"invocation": {
"id": "inv_12345678"
}
}API Reference
Trigger Bot
Invoke your bot from any external platform by calling this API endpoint. The execution is asynchronous - the bot will be executed in the background.
POST
/
webhooks
/
{triggerId}
/
trigger
Trigger bot execution
Authorizations
The key associated with the trigger. This key is displayed when you view the trigger in the UI.
Path Parameters
The ID of the trigger
Body
application/json
Any data that you want to send to your bot as inputs
The body is of type object.
⌘I